nginx (1.28.3-2ubuntu1.6) resolute-security; urgency=medium

  * SECURITY UPDATE: heap overflow via large headers
    - debian/patches/CVE-2026-42055.patch: limit header length for HTTP/2 and
      gRPC in src/http/modules/ngx_http_grpc_module.c.
    - CVE-2026-42055
  * SECURITY UPDATE: heap overread in ngx_http_charset_module
    - debian/patches/CVE-2026-48142.patch: Charset: fixed another rare buffer
      overread in recode_from_utf8() in
      src/http/modules/ngx_http_charset_filter_module.c.
    - CVE-2026-48142

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 Jun 2026 09:25:16 -0400

nginx (1.28.3-2ubuntu1.5) resolute-security; urgency=medium

  * SECURITY UPDATE: HTTP/2 Bomb denial of service
    - debian/patches/CVE-2026-49975.patch: updated to patch from Debian's
      1.26.3-3+deb13u6 package which was modified to not break ABI by
      storing the information in a new ngx_http_header_count_module module.
      Thanks to Miao Wang and Jan Mojžíš for the modified patch!
    - CVE-2026-49975

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Jun 2026 16:06:43 -0400

nginx (1.28.3-2ubuntu1.4) resolute-security; urgency=medium

  * SECURITY REGRESSION: ABI change breaking external modules (LP: #2155992)
    - debian/patches/CVE-2026-49975.patch: disable for now, pending further
      investigation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Jun 2026 07:43:21 -0400

nginx (1.28.3-2ubuntu1.3) resolute-security; urgency=medium

  * SECURITY UPDATE: HTTP/2 Bomb denial of service
    - debian/patches/CVE-2026-49975.patch: Added max_headers directive. in
      src/http/ngx_http_core_module.c, src/http/ngx_http_core_module.h,
      src/http/ngx_http_request.c, src/http/ngx_http_request.h,
      src/http/v2/ngx_http_v2.c, src/http/v3/ngx_http_v3_request.c.
    - CVE-2026-49975

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Jun 2026 07:24:46 -0400

nginx (1.28.3-2ubuntu1.2) resolute-security; urgency=medium

  * SECURITY UPDATE: HTTP/3 address spoofing
    - debian/patches/CVE-2026-40460.patch: QUIC: avoid assigning unvalidated
      address to new streams in src/event/quic/ngx_event_quic_migration.c.
    - CVE-2026-40460
  * SECURITY UPDATE: resolver use-after-free in OCSP
    - debian/patches/CVE-2026-40701.patch: OCSP: resolve cleanup on connection
      close in src/event/ngx_event_openssl_stapling.c.
    - CVE-2026-40701
  * SECURITY UPDATE: Buffer overread in the ngx_http_charset_module
    - debian/patches/CVE-2026-42934.patch: Charset: fix buffer over-read in
      recode_from_utf8(). in src/http/modules/ngx_http_charset_filter_module.c.
    - CVE-2026-42934
  * SECURITY UPDATE: Buffer overread in the ngx_http_scgi_module and
    ngx_http_uwsgi_module
    - debian/patches/CVE-2026-42946-1.patch: Upstream: reset parsing state after
      invalid status line in src/http/modules/ngx_http_scgi_module.c,
      src/http/modules/ngx_http_uwsgi_module.c.
    - debian/patches/CVE-2026-42946-2.patch: Upstream: fixed parsing of split
      status lines in src/http/modules/ngx_http_proxy_module.c,
      src/http/modules/ngx_http_scgi_module.c,
      src/http/modules/ngx_http_uwsgi_module.c.
    - CVE-2026-42946
  * SECURITY UPDATE: Buffer overflow in the ngx_http_rewrite_module
    - debian/patches/CVE-2026-9256.patch: Rewrite: fix buffer overflow with
      overlapping captures in src/http/ngx_http_script.c.
    - CVE-2026-9256

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 30 May 2026 10:26:32 -0400

nginx (1.28.3-2ubuntu1.1) resolute-security; urgency=medium

  * SECURITY UPDATE: buffer overrun in ngx_http_rewrite_module
    (LP: #2152577)
    - d/patches/cve-2026-42945.patch: Apply upstream commit/fix
      for CVE
    - CVE-2026-42945

 -- Thomas Ward <teward@ubuntu.com>  Wed, 13 May 2026 17:01:19 -0400

nginx (1.28.3-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Mar 2026 08:52:41 +0200

nginx (1.28.3-2) unstable; urgency=medium

  * Upload to unstable
  * Finally close the bug #1126960 (Closes: 1126960)

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 27 Mar 2026 14:26:06 +0000

nginx (1.28.3-1) experimental; urgency=medium

  * New upstream version 1.28.3
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.3-1

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 27 Mar 2026 10:58:07 +0000

nginx (1.28.2-4) experimental; urgency=medium

  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.2-4, the previous
    release (1.28.2-3) contained a backported patch that modified the ABI.
    As a result, the nginx ABI version is bumped to nginx-abi-1.28.2-4.
  * d/changelog: fix incorrectly closed bug in release 1.28.2-3
    (112696 → 1126960)

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 23 Mar 2026 06:07:52 +0000

nginx (1.28.2-3) unstable; urgency=medium

  * All changes in this release focus on mitigating incorrect Host header
    handling in proxied requests by backporting $request_port and
    $is_request_port variables from newer nginx, and explicitly setting
    HTTP_HOST in proxy_params, fastcgi_params, uwsgi_params and
    scgi_params to $host$is_request_port$request_port. (Closes: 1126960)
  * d/p/debian/patches/backport-request_port_and_is_request_port.patch: add
    - backport of $request_port and $is_request_port variables from newer nginx
    - implements support across HTTP/1.x as well as HTTP/2 and HTTP/3 code paths
    - note: HTTP/3 module in nginx is still considered experimental upstream
  * d/conf/proxy_params: use $host$is_request_port$request_port instead of
    $http_host
  * d/t/proxy: add test verifying $host$is_request_port$request_port behavior
  * d/t/fastcgi-RFC9112: add test that verifies the correct Host value
    according to RFC 9112, thanks to @yadd
  * d/conf/fastcgi_params:
    add 'fastcgi_param HTTP_HOST $host$is_request_port$request_port;'
  * d/t/uwsgi-RFC9112: add test that verifies the correct Host value
    according to RFC 9112 for uwsgi
  * d/conf/uwsgi_params: add
    'uwsgi_param HTTP_HOST $host$is_request_port$request_port;'
  * d/conf/scgi_params: add
    'scgi_param HTTP_HOST $host$is_request_port$request_port;'

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 21 Mar 2026 17:37:50 +0000

nginx (1.28.2-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 09:57:11 +0100

nginx (1.28.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 16 Feb 2026 21:27:31 +0100

nginx (1.28.2-1) experimental; urgency=medium

  * New upstream version 1.28.2
  * d/upstream/signing-key.asc: replace by Roman Arutyunyan’s PGP public key
    which signed 1.28.2 release
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.2-1
  * d/p/CVE-2026-1642.patch: remove, fixed in upstream

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 10 Feb 2026 18:30:45 +0100

nginx (1.28.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Feb 2026 00:21:04 +0100

nginx (1.28.1-3) unstable; urgency=medium

  * d/p/CVE-2026-1642.patch: add, backport CVE-2026-1642 fix from upcoming
    nging 1.28.2 release

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 09 Feb 2026 05:03:16 +0100

nginx (1.28.1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 08:20:12 +0100

nginx (1.28.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 26 Dec 2025 16:36:46 +0100

nginx (1.28.1-1) experimental; urgency=medium

  * New upstream version 1.28.1
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.1-1
  * d/p/CVE-2025-53859.patch: remove, fixed in upstream
  * d/control: remove Rules-Requires-Root: no
  * d/watch: rewrite to version 5

 -- Jan Mojžíš <janmojzis@debian.org>  Wed, 24 Dec 2025 13:27:40 +0100

nginx (1.28.0-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Sep 2025 11:18:01 +0200

nginx (1.28.0-6) unstable; urgency=medium

  * d/debhelper/nginx_mod.pm: set worker_connections to 128 instead of default
    512 in the nginx test configuration in dh_auto_test.
    This allows one to run the test even on a system that has FD_SETSIZE 256
    and uses ngx_select_module like hurd.
    Fix building third-party modules on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 08 Sep 2025 20:06:40 +0200

nginx (1.28.0-5) unstable; urgency=medium

  [ Miao Wang ]
  * d/p/override-uname.patch,d/rules: fix override-* options detection,
    fix build on GNU Hurd.

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 06 Sep 2025 10:08:21 +0200

nginx (1.28.0-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Sep 2025 08:34:33 +0200

nginx (1.28.0-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch remove,
    This patch primarily addressed issues on GNU/kFreeBSD. And GNU/kFreeBSD has
    been removed from Debian.
  * d/control: let nginx-core depend on geoip2 instead of geoip.
    Harmonizing with Ubuntu downstream (Closes: 921034).
  * d/control: remove iproute2 dependency, and do not check open port 80
    in d/nginx.postinst. This test is no longer necessary, as the systemd
    log message is sufficient (Closes: 1023382).
  * d/control: remove lua module from nginx-extras and remove from d/t/control
    as well. Lua module had a problematic dependency, it didn't work on all
    platforms due to its dependency on luajit. Therefore it is better to
    remove it from the nginx-extras dependency. Lua module will still be
    installable as a separate module.
  * d/copyright: update Nginx Inc. copyright year

  [ Miao Wang ]
  * d/patches/override-uname.patch: added, override uname command with
    configuration options, so that the products built is unrelated with
    the build system. This is especially useful for building nginx for i386
    but the build sysroot is running on the amd64 kernel (armhf and arm64
    likewise), where uname is giving the wrong information.

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 05 Sep 2025 18:24:59 +0200

nginx (1.28.0-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 15:04:27 +0200

nginx (1.28.0-3) unstable; urgency=medium

  * Upload to unstable
  * d/p/CVE-2025-53859.patch add, fixes CVE-2025-53859 (Closes: 1111138)
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 26 Aug 2025 07:16:58 +0200

nginx (1.28.0-2) experimental; urgency=medium

  * d/p/CVE-2025-53859.patch add, fixes CVE-2025-53859 (Closes: 1111138)

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 16 Aug 2025 16:11:55 +0200

nginx (1.28.0-1) experimental; urgency=medium

  * New upstream version 1.28.0
  * d/upstream/signing-key.asc: remove older keys
  * d/nginx-doc.docs: README -> README.md
  * d/patches/nginx-ssl_cert_cb_yield.patch: quilt refresh
  * d/libnginx-mod.abisubstvars: update ABI to nginx-abi-1.28.0-1
  * d/changelog: fix whitespace in 1.26.3-3 record
  * d/control: bump Standards-Version: 4.7.2, no changes

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 12 Aug 2025 09:17:16 +0200

nginx (1.26.3-3ubuntu3) questing; urgency=medium

  * SECURITY UPDATE: data leak in ngx_mail_smtp_module
    - debian/patches/CVE-2025-53859.patch: properly check lengths in
      src/mail/ngx_mail_handler.c.
    - CVE-2025-53859

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Aug 2025 08:24:37 -0400

nginx (1.26.3-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:16:59 +0200

nginx (1.26.3-3ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 May 2025 07:52:57 +0200

nginx (1.26.3-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/changelog: fix whitespace in 1.26.3-2 record
  * d/control: add libnginx-mod-http-lua dependency for nginx-extras package
    for riscv64 platform

  [ Thomas Ward ]
  * d/nginx-common.nginx.service: Add ConditionFileIsExecutable to
    SystemD service file, prevents starting of service if nginx is
    not installed (which can happen if nginx-common is installed
    independently from `nginx` itself (Closes: #1098477)

 -- Jan Mojžíš <janmojzis@debian.org>  Thu, 15 May 2025 15:31:38 +0200

nginx (1.26.3-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Feb 2025 08:36:12 +0100

nginx (1.26.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Jérémy Lal <kapouer@melix.org>  Fri, 07 Feb 2025 12:53:11 +0100

nginx (1.26.3-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.26.3

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Feb 2025 19:08:02 +0100

nginx (1.26.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.26.2
  * Add Sergey Kandaurov <s.kandaurov@f5.com> pgp public key
  * Drop upstream patches

  [ Jan Mojžíš ]
  * d/gbp.conf: add upstream-signatures = on
  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump my copyright year

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 Feb 2025 21:08:45 +0100

nginx (1.26.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Branding for Ubuntu
      + Configure with --build=Ubuntu build flag.
      + Use server_tokens build, to make the branding effective
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2024 09:30:48 +0100

nginx (1.26.0-3) unstable; urgency=medium

  * d/control: Resolve dependency loop between nginx and nginx-common.
    (Fixes: #1082373)

 -- Thomas Ward <teward@ubuntu.com>  Fri, 20 Sep 2024 21:35:42 -0400

nginx (1.26.0-2ubuntu3) oracular; urgency=medium

  * Rebuild against new debhelper 13.18ubuntu2 with fixed
    dh_installlogrotate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Sep 2024 21:12:02 +0200

nginx (1.26.0-2ubuntu2) oracular; urgency=medium

  * Drop ubuntu-branding patch, use instead --build=Ubuntu build flag.
  * Use server_tokens build, to make the branding effective

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Sep 2024 12:00:16 +0200

nginx (1.26.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2024 20:14:02 +0200

nginx (1.26.0-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/rules: enable QUIC and HTTP/3 module (Closes: 1070488)
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/p/nginx-1.26.1.patch add, backport changes from the nginx 1.26.1 and fix
    CVE-2024-32760, CVE-2024-31079, CVE-2024-35200, CVE-2024-34161
  * d/p/CVE-2024-7347.patch add, backport CVE-2024-7347 fix (Closes: 1078971)
  * d/libnginx-mod.abisubstvars updated comment when ABI needs to be changed

  [ Thomas Ward ]
  * d/conf/nginx.conf: Update default options for current security
    practices and standards. SSL protos, disable prefer server
    ciphers, hide server tokens/versions in responses.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 19 Aug 2024 18:46:30 +0200

nginx (1.26.0-1ubuntu2) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 23:44:55 +0200

nginx (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * nginx ABI release: nginx-abi-1.26.0-1 (Closes: 1069997)
  * d/libnginx-mod.abisubstvars: remove third-party modules version constraints
  * d/u/signing-key.asc add Roman Arutyunyan’s PGP public key,
    the key is used to sign the 1.26.0 release
  * d/p/CVE-2023-44487.patch remove, fixed in upstream
  * d/ufw/nginx update, add QUICK, thanks Marcus Bointon
  * d/conf/mime.types add application/xslt+xml, thanks K. Widholm
  * d/copyright: updated copyright related to new upstream version
  * d/copyright: bump my copyright year
  * d/conf/nginx.conf: add worker_cpu_affinity auto (Closes: 1063659)
  * d/gbp.conf: add sign-tags = True, [pull] track-missing = True,
    [import-orig] merge-mode = replace

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 05 May 2024 18:48:05 +0200

nginx (1.24.0-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:40:23 +0000

nginx (1.24.0-2ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:09:09 +0000

nginx (1.24.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:03:42 +0100

nginx (1.24.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:02 +0100

nginx (1.24.0-2ubuntu3) noble; urgency=medium

  * d/control: Fix versioned dependency for libnginx-mod-*-geoip2, as
    these are now distinct source packages with their own version numbers,
    not linked to the nginx source package itself.
    (LP: #2040404)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Dec 2023 00:54:00 -0800

nginx (1.24.0-2ubuntu2) noble; urgency=medium

  * No change rebuild

 -- Bryce Harrington <bryce@canonical.com>  Mon, 20 Nov 2023 00:47:34 +0000

nginx (1.24.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:41:23 +0200

nginx (1.24.0-2) unstable; urgency=medium

  * d/control added dependency nginx-common to nginx (Closes: 1039905)
    After nginx installation, the nginx-common package is installed
    automatically due to its dependencies. The nginx-common package includes
    the systemd unit, which becomes enabled and activated upon installation.
    When the nginx is removed, nginx-common package and the systemd unit will
    remain in the system. Adding a dependency nginx-common to nginx solves
    this problem.
  * d/control fixed binNMU safe dependency declaration nginx to nginx-common,
    nginx is 'any', nginx-common is 'all' -> dependency '= ${source:Version}'
  * d/rules removed override_dh_strip, migration to automatic debug symbols is
    already done, fixes debug-symbol-migration-possibly-complete lint. warning
  * d/po/ro.po added Romanian debconf translation. (Closes: 1033084),
    Thanks to Remus-Gabriel Chelu
  * d/po/sv.po added Swedish debconf translation. (Closes: 1050443),
    Thanks to Peter Kvillegård
  * d/conf/mime.types added video/ogg, video/x-matroska (Closes: 1028144)
  * d/p/CVE-2023-44487.patch adds additional mitigations for CVE-2023-44487
    that according to NGINX developers on nginx-devel are already suitably
    mitigated with the default config options for keepalive. (Closes: 1053770)
  * d/control added nginx-dev dependency on ${nginx:abi}
  * d/debhelper/nginx_mod.pm automatic libnginx-mod-stream dependencies

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 11 Oct 2023 01:17:51 +0200

nginx (1.24.0-1ubuntu1) mantic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Branding for Ubuntu
      + d/p/ubuntu-branding.patch: add Ubuntu branding
      + d/t/branding: Add autopkgtest to validate branding presence
    - d/control: Drop the Lua module (libnginx-mod-http-lua) as a
      dependency for NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
    - d/control: let nginx-core depend on geoip2 instead of geoip.
    - d/t/control: Drop autopkgtest dependencies on libnginx-mod-http-lua too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Jun 2023 08:48:23 +0200

nginx (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * nginx ABI release: nginx-abi-1.24.0-1
  * d/libnginx-mod.abisubstvars update version constraints of the 3rd party
    modules
  * d/p/bug-{1024605,973861}.patch removed, fixed in upstream
  * d/copyright: updated copyright for files src/event/ngx_event_udp.h,
    src/os/win32/ngx_dlopen

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 27 Jun 2023 23:19:31 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnginx-mod-http-perl`.
